← Tabeller
Rensa

Scotland

East Region League Division 3

#LagPWDLPDBPPtsForm
1Royal High RFC4400+279420WWWW
2Duns RFC5401+95420WWWWL
3Edinburgh University Medics6402+35218WLWWW
4Trinity Academicals RFC4202+11311LWLW
5Lismore RFC5203-7238WLLLW
6Caledonian Thebans RFC6006-22341LLLLL
7Penicuik RFC3003-13120LLL
8Inverleith RFC3201+620LWW

Källa: Scottish Rugby · kontrollerad 17 okt. 23:20 · Form: de fem senaste resultaten vi har, senaste till höger.

Matcher och resultat →

Varje tabell är ligans egen publicerade ställning, med bonuspoäng, poängavdrag och särskiljningsregler. BP visas där ligan publicerar det; annars ingår det redan i Pts.